Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIUseTabs

Turns on or off the use of tabs with the `PETSCVIEWERASCII` `PetscViewer`

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIUseTabs(PetscViewer viewer, PetscBool flg)

Not Collective, but only first MPI rank in the viewer has any effect; No Fortran Support

## Input Parameters

- viewer - obtained with `PetscViewerASCIIOpen()`

- flg - `PETSC_TRUE` or `PETSC_FALSE`

## See Also

Viewers: Looking at PETSc Objects, `PetscPrintf()`, `PetscSynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIIPopTab()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIPushTab()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`, `PetscViewerASCIIGetPointer()`

## Level

developer

## Location

src/sys/classes/viewer/impls/ascii/filev.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages